## ros-melodic-underwater-sensor-msgs 1.4.2

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(underwater_sensor_msgs)

find_package(catkin REQUIRED COMPONENTS message_generation roscpp std_msgs visualization_msgs)

add_message_files(
  FILES
  DVL.msg
  Pressure.msg
  LedLight.msg
)

add_service_files(
  FILES
  SpawnMarker.srv
)
                                        
generate_messages(
  DEPENDENCIES roscpp std_msgs visualization_msgs
) 

catkin_package(
    CATKIN_DEPENDS message_runtime roscpp
)

=== debian/changelog ===
ros-melodic-underwater-sensor-msgs (1.4.2-3stretch) stretch; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- Mario Prats <marioprats@gmail.com>  Sat, 04 Apr 2020 16:14:40 -0000

ros-melodic-underwater-sensor-msgs (1.4.1-3stretch) stretch; urgency=high



 -- Mario Prats <marioprats@gmail.com>  Sun, 13 Dec 2015 23:00:00 -0000

ros-melodic-underwater-sensor-msgs (1.4.0-3stretch) stretch; urgency=high

  * Added marker service to spawn and modify geometry.
  * Contributors: perezsolerj

 -- Mario Prats <marioprats@gmail.com>  Tue, 22 Sep 2015 22:00:00 -0000

=== debian/control ===
Source: ros-melodic-underwater-sensor-msgs
Section: misc
Priority: extra
Maintainer: Mario Prats <marioprats@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-melodic-catkin, ros-melodic-message-generation, ros-melodic-roscpp, ros-melodic-std-msgs, ros-melodic-visualization-msgs
Homepage: 
Standards-Version: 3.9.2

Package: ros-melodic-underwater-sensor-msgs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-melodic-message-runtime, ros-melodic-roscpp, ros-melodic-std-msgs, ros-melodic-visualization-msgs
Description: Common messages for underwater robotics

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/melodic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/melodic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/melodic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-melodic-underwater-sensor-msgs//opt/ros/melodic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_install
